package cn.yw.video.videostate.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywvideohistorystateDao")
public class YwvideohistorystateDao   extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ywvideohistorystate(Map map) throws SQLException{
		this.insert("insert_Ywvideohistorystate",map);
	}
	
	/**
	 * 批处理增加记录
	 */
	public void batch_insert_Ywvideohistorystate(List batch) throws SQLException{
		this.insert("batch_insert_Ywvideohistorystate",batch);
	}
	 
	/**
	 * 修改记录
	 */
	public Integer update_Ywvideohistorystate(Map map) throws SQLException{
		return this.update("update_Ywvideohistorystate",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Ywvideohistorystate(Map map) throws SQLException{
		return this.delete("delete_Ywvideohistorystate",map);
	}
	
	/**
	 * 批处理删除记录
	 */
	
	public Integer batch_delete_Ywvideohistorystate(Map map) throws SQLException{
		return this.delete("batch_delete_Ywvideohistorystate",map);
	}
	
	/**
	 * 查询总数
	 */
	public Integer count_Ywvideohistorystate(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywvideohistorystate",map);
	}
	
	/**
	 * 查询列表记录
	 */
	
	public List<Map> query_Ywvideohistorystate(Map map) throws SQLException{
		return this.queryForPage("query_Ywvideohistorystate",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public Map get_Ywvideohistorystate(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywvideohistorystate",map);
	}
}
